Data Fields

# arm_fir_decimate_instance_q15 Struct Reference

Instance structure for the Q15 FIR decimator. More...

`#include <arm_math.h>`

## Data Fields
uint8_t | M
uint16_t | numTaps
q15_t * | pCoeffs
q15_t * | pState

## Detailed Description

Instance structure for the Q15 FIR decimator.

Definition at line 3214 of file arm_math.h.

## Field Documentation

uint8_t arm_fir_decimate_instance_q15::M

decimation factor.

Definition at line 3216 of file arm_math.h.

uint16_t arm_fir_decimate_instance_q15::numTaps

number of coefficients in the filter.

Definition at line 3217 of file arm_math.h.

q15_t* arm_fir_decimate_instance_q15::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 3218 of file arm_math.h.

q15_t* arm_fir_decimate_instance_q15::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Definition at line 3219 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines